/* eslint-disable i18next/no-literal-string */
import React from 'react';
import PropTypes from 'prop-types';

const WindowsIcon = ({ className }) => (
  <svg
    xmlns='http://www.w3.org/2000/svg'
    viewBox='0 0 24 24'
    className={className}>
    <title>Windows</title>
    <path d='M0 3.449L9.75 2.1v9.451H0m10.949-9.602L24 0v11.4H10.949M0 12.6h9.75v9.451L0 20.699M10.949 12.6H24V24l-12.9-1.801' />
  </svg>
);

WindowsIcon.propTypes = {
  className: PropTypes.string,
};

export default WindowsIcon;
