import { React } from 'react';
import { HashRouter as Router, Route } from 'react-router-dom';
import { Routes } from 'react-router-dom';
import mainRoutes from './mainRoute';
// import Version from '../components/public/Version';

//定义的路由函数直接挂载到主页面上去
const HRoutes = function () {
  return (
    <>
      {/* <Version /> */}
      <Router>
        <Routes>
          {mainRoutes.map((item, index) => {
            return (
              <Route
                key={index}
                path={item.path}
                element={item.component}></Route>
            );
          })}
        </Routes>
      </Router>
    </>
  );
};
export default HRoutes;
